Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.factories
Class ValidatorFactoryBean

    java.lang.Object
      org.mule.config.spring.factories.AbstractFlowConstructFactoryBean
          org.mule.config.spring.factories.ValidatorFactoryBean

All Implemented Interfaces:
  MuleContextAware, Initialisable, org.springframework.beans.factory.FactoryBean<FlowConstruct>, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware

    public class ValidatorFactoryBean

extends AbstractFlowConstructFactoryBean

Field Summary

Fields inherited from class org.mule.config.spring.factories.AbstractFlowConstructFactoryBean
`applicationContext, flowConstruct, muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`ValidatorFactoryBean()`

Method Summary
`protected AbstractFlowConstructBuilder<ValidatorBuilder,Validator>` | `getFlowConstructBuilder()`
`Class<?>` | `getObjectType()`
`void` | `setAckExpression(String ackExpression)`
`void` | `setEndpoint(OutboundEndpoint endpoint)`
`void` | `setErrorExpression(String errorExpression)`
`void` | `setInboundAddress(String inboundAddress)`
`void` | `setInboundEndpoint(EndpointBuilder inboundEndpointBuilder)`
`void` | `setMessageProcessor(MessageProcessor processor)`
`void` | `setNackExpression(String nackExpression)`
`void` | `setOutboundAddress(String outboundAddress)`
`void` | `setOutboundEndpoint(EndpointBuilder outboundEndpointBuilder)`
`void` | `setValidationFilter(Filter validationFilter)`

Methods inherited from class org.mule.config.spring.factories.AbstractFlowConstructFactoryBean
`afterPropertiesSet, createFlowConstruct, getObject, initialise, isSingleton, setApplicationContext, setExceptionListener, setMessageSource, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidatorFactoryBean

    public ValidatorFactoryBean()

Method Detail

### getFlowConstructBuilder

    protected AbstractFlowConstructBuilder<ValidatorBuilder,Validator> getFlowConstructBuilder()

  Specified by:
    `getFlowConstructBuilder` in class `AbstractFlowConstructFactoryBean`

### getObjectType

    public Class<?> getObjectType()

### setEndpoint

    public void setEndpoint(OutboundEndpoint endpoint)

### setMessageProcessor

    public void setMessageProcessor(MessageProcessor processor)

### setInboundAddress

    public void setInboundAddress(String inboundAddress)

### setInboundEndpoint

    public void setInboundEndpoint(EndpointBuilder inboundEndpointBuilder)

### setOutboundAddress

    public void setOutboundAddress(String outboundAddress)

### setOutboundEndpoint

    public void setOutboundEndpoint(EndpointBuilder outboundEndpointBuilder)

### setAckExpression

    public void setAckExpression(String ackExpression)

### setNackExpression

    public void setNackExpression(String nackExpression)

### setErrorExpression

    public void setErrorExpression(String errorExpression)

### setValidationFilter

    public void setValidationFilter(Filter validationFilter)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.